#######################################
# Common to normal and priority gossip
#######################################
include.control                     prps stats

simulation.endtime                  20
network.size                        100000

init.sch                            CDScheduler
init.sch.protocol                   pgossiphop
#init.sch.randstart

init.send                           FirstSenderSetter
init.send.protocol                  pgossiphop

control.stats                       RoundStats
control.stats.step                  1
control.stats.protocol              pgossiphop
control.stats.density               0.1

protocol.transport                  ReliableTransport
protocol.transport.latency          1

protocol.neighboursP                NeighboursLinkable
protocol.neighboursS                NeighboursLinkable
protocol.neighboursPS               NeighboursLinkable

##################
# Priority gossip
##################
init.prim                           PrimarySetter
init.prim.protocol                  pgossiphop
init.prim.density                   0.1

control.prps                        PriorityRandomPeerSampler
control.prps.step                   10
control.prps.degree                 11
control.prps.protocol               pgossiphop
control.prps.linkableP              neighboursP
control.prps.linkableS              neighboursS
control.prps.linkablePS             neighboursPS
control.prps.alpha                  0
control.prps.beta                   0

protocol.pgossiphop                 PriorityGossipHop
protocol.pgossiphop.step            1
protocol.pgossiphop.linkableP       neighboursP
protocol.pgossiphop.linkableS       neighboursS
protocol.pgossiphop.linkablePS      neighboursPS
protocol.pgossiphop.transport       transport
protocol.pgossiphop.hopThreshold1   4
protocol.pgossiphop.hopThreshold2   5

